diff --git a/phoronix-test-suite b/phoronix-test-suite
index d353bd1cbe..10f15768cc 100755
--- a/phoronix-test-suite
+++ b/phoronix-test-suite
@@ -201,7 +201,7 @@ elif [ -x /usr/local/sbin/pkg ] || [ -x /usr/sbin/pkg ]
 then
 	# DragonFlyBSD and others
 	echo "The command to likely run for your operating system is: "
-	echo "# pkg install php80 php80-dom php80-zip php80-simplexml php80-openssl"
+	echo "# pkg install php82 php82-dom php82-zip php82-simplexml"
 	echo " "
 elif [ -x /usr/bin/swupd ]
 then
diff --git a/pts-core/external-test-dependencies/xml/dragonfly-packages.xml b/pts-core/external-test-dependencies/xml/dragonfly-packages.xml
index b331941f8a..f129445361 100644
--- a/pts-core/external-test-dependencies/xml/dragonfly-packages.xml
+++ b/pts-core/external-test-dependencies/xml/dragonfly-packages.xml
@@ -25,7 +25,7 @@
 		</Package>
 		<Package>
 			<GenericName>freetype</GenericName>
-			<PackageName>freetype</PackageName>
+			<PackageName>freetype2</PackageName>
 		</Package>
 		<Package>
 			<GenericName>eigen</GenericName>
@@ -174,7 +174,7 @@
 		</Package>
 		<Package>
 			<GenericName>p7zip</GenericName>
-			<PackageName>p7zip</PackageName>
+			<PackageName>7-zip</PackageName>
 		</Package>
 		<Package>
 			<GenericName>autoconf</GenericName>
@@ -214,7 +214,7 @@
 		</Package>
 		<Package>
 			<GenericName>python</GenericName>
-			<PackageName>python3 python py38-pip</PackageName>
+			<PackageName>python3 python</PackageName>
 		</Package>
 		<Package>
 			<GenericName>yasm</GenericName>
diff --git a/pts-core/objects/phodevi/components/phodevi_gpu.php b/pts-core/objects/phodevi/components/phodevi_gpu.php
index 3cd973fc68..8f6e5e9fe0 100644
--- a/pts-core/objects/phodevi/components/phodevi_gpu.php
+++ b/pts-core/objects/phodevi/components/phodevi_gpu.php
@@ -1236,22 +1236,25 @@ public static function gpu_model()
 
 		if(empty($info) || strpos($info, 'Mesa ') !== false || strpos($info, 'Gallium ') !== false || strpos($info, 'DRM ') !== false)
 		{
-			if(($x = strpos($info, ' on ')) !== false)
+			if(!empty($info))
 			{
-				// to remove section like "Gallium 0.4 on AMD POLARIS"
-				$info = substr($info, $x + 4);
-			}
-			if(strpos($info, 'Intel ') !== false)
-			{
-				// Intel usually has e.g. TGL GT2 or other info within
-				$info = str_replace(array('(', ')'), '', $info);
-			}
-			if(($x = strpos($info, ' (')) !== false)
-			{
-				$info = substr($info, 0, $x);
+				if(($x = strpos($info, ' on ')) !== false)
+				{
+					// to remove section like "Gallium 0.4 on AMD POLARIS"
+					$info = substr($info, $x + 4);
+				}
+				if(strpos($info, 'Intel ') !== false)
+				{
+					// Intel usually has e.g. TGL GT2 or other info within
+					$info = str_replace(array('(', ')'), '', $info);
+				}
+				if(($x = strpos($info, ' (')) !== false)
+				{
+					$info = substr($info, 0, $x);
+				}
 			}
 
-			if(phodevi::is_windows() == false && strpos($info, 'Intel ') === false && !pts_strings::string_contains($info, pts_strings::CHAR_NUMERIC))
+			if(phodevi::is_windows() == false && (empty($info) || (strpos($info, 'Intel ') === false && !pts_strings::string_contains($info, pts_strings::CHAR_NUMERIC))))
 			{
 				$info_pci = phodevi_linux_parser::read_pci('VGA compatible controller', false);
 
@@ -1332,7 +1335,7 @@ public static function gpu_model()
 				}
 			}
 
-			if(($start_pos = strpos($info, ' DRI ')) > 0)
+			if(!empty($info) && ($start_pos = strpos($info, ' DRI ')) > 0)
 			{
 				$info = substr($info, $start_pos + 5);
 			}
